import { User } from "app/core/models/user";
import { Course } from "./course";
import { StaffGroup } from "./staff-group";

export class CourseStaffMembership {
    user: User;
    course: Course;
    group: StaffGroup;

    constructor(membership: any) {
        this.user = membership.user ? new User(membership.user) : null;
        this.course = membership.course;
        this.group = membership.group;
    }
}