import { Pipe, PipeTransform } from "@angular/core";
import { Task } from "../models/task";

@Pipe({
    name: 'attempts'
})
export class AttemptsPipe implements PipeTransform {
    transform(task: Task): any {
        let attempts = task.attempts ? task.attempts + '' : '∞'
        return `${attempts} Versuche`
    }
}