import { Component, ContentChild, Input, OnInit, TemplateRef } from '@angular/core';

export interface ErrorConfig {
  title?: string;
  message?: string;
}

@Component({
  selector: 'ngx-error-alert',
  templateUrl: './error-alert.component.html',
  styleUrls: ['./error-alert.component.scss']
})
export class ErrorAlertComponent implements OnInit {
  @Input() config: ErrorConfig;
  @ContentChild('actions') actionsTemplate: TemplateRef<any>;

  constructor() { }

  ngOnInit(): void {
  }

}
