import { Component, Input, OnInit } from '@angular/core';
import { BaseComponent } from 'app/shared/components/base/base.component';
import { ValidationError } from 'app/shared/components/base/form.component';

@Component({
  selector: 'validation-summary',
  templateUrl: './validation-summary.component.html',
  styleUrls: ['./validation-summary.component.scss']
})
export class ValidationSummaryComponent extends BaseComponent implements OnInit {

  @Input() errors: ValidationError[] = [];

  constructor() {
    super();
   }

  ngOnInit(): void {

  }

}
