package de.hsrm.sls.subato.courses.unit;

import com.fasterxml.jackson.annotation.JsonValue;

public enum CourseUnitType {
    Lecture(2),
    Lab(3),
    Exercise(4),
    Tut(5),
    Misc(1);

    private int order;

    CourseUnitType(int order) {
        this.order = order;
    }

    public int getOrder() {
        return order;
    }

    @JsonValue
    public int toValue() {
        return ordinal();
    }
}
