package de.hsrm.sls.subato.exercises.exercise;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

public class ExerciseNotFoundException extends RuntimeException {
    public static final String REASON = "Die Übung existiert nicht";

    private long id;

    public ExerciseNotFoundException(long id) {
        this.id = id;
    }

    public long getId() {
        return id;
    }
}