package de.hsrm.sls.subato.solutions.evaluation.evaluator;

import java.util.List;

public class EvaluatorEntry {
    private String id;
    private List<Version> versions;

    static class Version {
        private String id;
        private Capabilities capability;

        static class Capabilities {
            private boolean compile;
            private boolean style;
            private boolean test;

            public boolean isCompile() {
                return compile;
            }

            public void setCompile(boolean compile) {
                this.compile = compile;
            }

            public boolean isStyle() {
                return style;
            }

            public void setStyle(boolean style) {
                this.style = style;
            }

            public boolean isTest() {
                return test;
            }

            public void setTest(boolean test) {
                this.test = test;
            }
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public Capabilities getCapability() {
            return capability;
        }

        public void setCapability(Capabilities capability) {
            this.capability = capability;
        }
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public List<Version> getVersions() {
        return versions;
    }

    public void setVersions(List<Version> versions) {
        this.versions = versions;
    }
}
