export enum CourseUnitType {
    Lecture,
    Lab,
    Exercise,
    Tut,
    Misc
}

export namespace CourseUnitType {
    export function toString(type: CourseUnitType): string {
        switch(type) {
            case CourseUnitType.Lab: return "Praktikum";
            case CourseUnitType.Exercise: return "Übung";
            case CourseUnitType.Lecture: return "Vorlesung";
            case CourseUnitType.Tut: return "Tutorium";
            case CourseUnitType.Misc: return "";
        }
    }

    export function toShortString(type: CourseUnitType): string {
        switch(type) {
            case CourseUnitType.Lab: return "P";
            case CourseUnitType.Exercise: return "Ü";
            case CourseUnitType.Lecture: return "V";
            case CourseUnitType.Tut: return "T";
            case CourseUnitType.Misc: return "";
        }
    }
}