import { Component, Input, OnInit } from '@angular/core';
import { Submission } from '../../models/submission';
import { TaskInstance } from '../../models/task-instance';

@Component({
  selector: 'ngx-task-instance-summary',
  templateUrl: './task-instance-summary.component.html',
  styleUrls: ['./task-instance-summary.component.scss']
})
export class TaskInstanceSummaryComponent implements OnInit {
  @Input() taskInstance: TaskInstance;
  @Input() task: Task;
  @Input() submission: Submission;
  @Input() expandable: boolean = false;
  @Input() showTaskName: boolean = false;
  @Input() showAttempts: boolean = true;
  @Input() showPoints: boolean = true;
  
  constructor() { }

  ngOnInit(): void {
  }
}
