import { Exercise } from "./exercise";
import { Submission } from "./submission";
import { SubmissionsProgress } from "./submissions-progress";

export class ExerciseSubmissions {
    exercise: Exercise;
    submissions: Submission[];
    progress: SubmissionsProgress;

    constructor(dto: any) {
        this.exercise = new Exercise(dto.exercise);
        this.progress = new SubmissionsProgress(dto.progress);
        this.submissions = dto.submissions.map(s => new Submission(s));
    }
}