package de.hsrm.sls.subato.dashboard;

import de.hsrm.sls.subato.attendances.attendance.model.ParticipantAttendance;
import de.hsrm.sls.subato.courses.course.Course;
import de.hsrm.sls.subato.exercises.submission.progress.SubmissionsProgress;
import de.hsrm.sls.subato.courses.unit.CourseUnit;

import java.util.List;

public class CourseInfo {
    private Course course;
    private List<CourseUnit> units;
    private List<ParticipantAttendance> participantAttendances;
    private SubmissionsProgress submissionsProgress;
    private boolean isParticipant;

    public Course getCourse() {
        return course;
    }

    public void setCourse(Course course) {
        this.course = course;
    }

    public List<CourseUnit> getUnits() {
        return units;
    }

    public void setUnits(List<CourseUnit> units) {
        this.units = units;
    }

    public SubmissionsProgress getSubmissionsProgress() {
        return submissionsProgress;
    }

    public void setSubmissionsProgress(SubmissionsProgress submissionsProgress) {
        this.submissionsProgress = submissionsProgress;
    }

    public boolean isParticipant() {
        return isParticipant;
    }

    public void setParticipant(boolean participant) {
        isParticipant = participant;
    }

    public List<ParticipantAttendance> getParticipantAttendances() {
        return participantAttendances;
    }

    public void setParticipantAttendances(List<ParticipantAttendance> participantAttendances) {
        this.participantAttendances = participantAttendances;
    }
}
