package de.hsrm.sls.subato.exercises.exercise.progress;

import de.hsrm.sls.subato.exercises.exercise.ExerciseDto;
import de.hsrm.sls.subato.solutions.solution.SolutionSummaryDto;
import de.hsrm.sls.subato.exercises.submission.SubmissionDetailDto;
import de.hsrm.sls.subato.exercises.taskinstance.TaskInstanceSummaryDto;

import java.util.List;

public class ExerciseProgressDto {
    private ExerciseDto exercise;
    private List<TaskInstanceSummaryDto> taskInstances;
    private int testsPassed;
    private int testsTotal;
    private int styleErrorsTotal;
    private int leaksTotal;
    private SubmissionDetailDto submission;
    private List<SolutionSummaryDto> solutions;

    public ExerciseDto getExercise() {
        return exercise;
    }

    public void setExercise(ExerciseDto exercise) {
        this.exercise = exercise;
    }

    public int getTestsPassed() {
        return testsPassed;
    }

    public void setTestsPassed(int testsPassed) {
        this.testsPassed = testsPassed;
    }

    public int getTestsTotal() {
        return testsTotal;
    }

    public void setTestsTotal(int testsTotal) {
        this.testsTotal = testsTotal;
    }

    public int getStyleErrorsTotal() {
        return styleErrorsTotal;
    }

    public void setStyleErrorsTotal(int styleErrorsTotal) {
        this.styleErrorsTotal = styleErrorsTotal;
    }

    public int getLeaksTotal() {
        return leaksTotal;
    }

    public void setLeaksTotal(int leaksTotal) {
        this.leaksTotal = leaksTotal;
    }

    public SubmissionDetailDto getSubmission() {
        return submission;
    }

    public void setSubmission(SubmissionDetailDto submission) {
        this.submission = submission;
    }

    public List<SolutionSummaryDto> getSolutions() {
        return solutions;
    }

    public void setSolutions(List<SolutionSummaryDto> solutions) {
        this.solutions = solutions;
    }

    public List<TaskInstanceSummaryDto> getTaskInstances() {
        return taskInstances;
    }

    public void setTaskInstances(List<TaskInstanceSummaryDto> taskInstances) {
        this.taskInstances = taskInstances;
    }
}
