package de.hsrm.sls.subato.tasks.task;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.Optional;

public interface TaskRepository extends JpaRepository<Task, Long>, JpaSpecificationExecutor<Task> {
    Task findByIdNameAndPoolId(String idName, long poolId);
    Optional<Task> findBySourceId(long id);
}