package de.hsrm.sls.subato.tasks.task;

import de.hsrm.sls.subato.solutions.evaluation.evaluator.EvaluatorDto;
import de.hsrm.sls.subato.tasks.feedback.TaskFeedbackStats;
import de.hsrm.sls.subato.tasks.lang.LanguageDto;
import de.hsrm.sls.subato.tasks.pool.TaskPoolDto;

public class TaskSummaryDto {
    private long id;
    private String idName;
    private String name;
    private String description;
    private Integer attempts;
    private LanguageDto language;
    private TaskPoolDto pool;
    private TaskFeedbackStats feedbackStats;
    private EvaluatorDto evaluator;
    private boolean supportedByEclipsePlugin;

    public long getId() {
        return id;
    }

    public String getIdName() {
        return idName;
    }

    public void setIdName(String idName) {
        this.idName = idName;
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return description;
    }

    public void setId(long id) {
        this.id = id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getAttempts() {
        return attempts;
    }

    public void setAttempts(Integer attempts) {
        this.attempts = attempts;
    }

    public LanguageDto getLanguage() {
        return language;
    }

    public void setLanguage(LanguageDto language) {
        this.language = language;
    }

    public TaskPoolDto getPool() {
        return pool;
    }

    public void setPool(TaskPoolDto pool) {
        this.pool = pool;
    }

    public TaskFeedbackStats getFeedbackStats() {
        return feedbackStats;
    }

    public void setFeedbackStats(TaskFeedbackStats feedbackStats) {
        this.feedbackStats = feedbackStats;
    }

    public boolean isSupportedByEclipsePlugin() {
        return supportedByEclipsePlugin;
    }

    public void setSupportedByEclipsePlugin(boolean supportedByEclipsePlugin) {
        this.supportedByEclipsePlugin = supportedByEclipsePlugin;
    }

    public EvaluatorDto getEvaluator() {
        return evaluator;
    }

    public void setEvaluator(EvaluatorDto evaluator) {
        this.evaluator = evaluator;
    }
}
